// The GeigerBall control module
// By Adam Chlipala

#include "3d.h"

#define CLICK 100
#define BOUNCE 101

void main(int event, int arg, int arg2, int arg3)
{
	switch (event)
	{
	case EVENT_INIT:
		OpenEnt(arg, ACC_WRITE);
		SelectEnt(arg);

		SetElasticity(0);
		BindClick(CLICK);

		CloseEnt(arg);

		break;
	case CLICK:
		OpenEnt(arg, ACC_WRITE);
		SelectEnt(arg);

		ModelEvent(BOUNCE, 0);

		CloseEnt(arg);

		break;
	}
}