// GeigerBall render module
// Adam Chlipala

#include "3d.h"

#define BOUNCE 101

vector v;

void main(int event, int arg, int arg2, int arg3)
{
	switch (event)
	{
	case EVENT_INIT:
		OpenEnt(arg, ACC_WRITE);
		SelectEnt(arg);

		SetArgs("ball.rsf");

		if (!RequireFile("rsf.xc", 23, 0, 0))
			CallRenderModule("rsf.xc", EVENT_INIT, 0, 0);

		CloseEnt(arg);

		break;
	case 23:
		OpenEnt(arg, ACC_WRITE);
		SelectEnt(arg);

		CallRenderModule("rsf.xc", EVENT_INIT, 0, 0);

		CloseEnt(arg);

		break;
	case BOUNCE:
		OpenEnt(arg, ACC_WRITE);
		SelectEnt(arg);
		SelectComponent(0);

		v[0] = 0;
		v[1] = 2;
		v[2] = 0;
		SetVel(v);

		CloseEnt(arg);

		break;
	}
}